
-- REOAD and RESTART
--
-- As a superuser you can trigger a configuration reload with
-- SELECT pg_reload_conf();
-- Some config(fundamental) changes require a restart. Use the cmd commands:
-- `service postgresql-<your version> restart`
-- `pg_ctl restart -D <your data dirctory>`

-- LOCATION OF CONFIG FILES
--
SELECT name, setting
FROM pg_settings
WHERE category = 'File Locations';

-- CHECK postgresql.conf SETTINGS
--
SELECT name, context, unit, setting, boot_val, reset_val
FROM pg_settings
WHERE name IN ('listen_addresses', 'deadlock_timeout', 'shared_buffers',
  'effective_cache_size', 'work_mem', 'maintenance_work_mem')
ORDER BY context, name;


-- SHOW keyword
-- We can use the SHOW sql command to display settings with a labeled  results in a labeled
SHOW ALL;
-- Individual settings can also be shown
SHOW work_mem;

--ALTER postgresql.conf SETTINGS
-- ALTER SYSTEM SET work_mem = '500MB';
